uk.gov.hmrc.play.http.metrics

# PlayProvider

###
Related Docs: trait PlayProvider | package metrics

#### object PlayProvider extends PlayProvider with MicroserviceMetrics

Linear Supertypes
MicroserviceMetrics, PlayProvider, Provider, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PlayProvider
2. MicroserviceMetrics
3. PlayProvider
4. Provider
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### val metrics: com.kenshoo.play.metrics.Metrics

    Definition Classes
      MicroserviceMetrics

13. #### val metricsRegistry: MetricRegistry

    Definition Classes
      PlayProvider → PlayProvider

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### def recordFailure(api: API): Unit

    Definition Classes
      PlayProvider → Provider

18. #### def recordSuccess(api: API): Unit

    Definition Classes
      PlayProvider → Provider

19. #### def startTimer(api: API): Timer

    Definition Classes
      PlayProvider → Provider

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from MicroserviceMetrics

### Inherited from PlayProvider

### Inherited from Provider

### Inherited from AnyRef

### Inherited from Any

### Ungrouped